VERSION 5.00
Begin VB.Form Frm_main 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Robokits Relay Board Controller"
   ClientHeight    =   2355
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3960
   Icon            =   "LPT.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2355
   ScaleWidth      =   3960
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command1 
      Caption         =   "Demo"
      Height          =   375
      Left            =   2400
      TabIndex        =   8
      Top             =   1200
      Width           =   975
   End
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   500
      Left            =   2640
      Top             =   600
   End
   Begin VB.CheckBox Output 
      Caption         =   "Relay 8"
      Height          =   255
      Index           =   7
      Left            =   120
      TabIndex        =   7
      Top             =   1800
      Width           =   1215
   End
   Begin VB.CheckBox Output 
      Caption         =   "Relay 7"
      Height          =   255
      Index           =   6
      Left            =   120
      TabIndex        =   6
      Top             =   1560
      Width           =   1215
   End
   Begin VB.CheckBox Output 
      Caption         =   "Relay 6"
      Height          =   255
      Index           =   5
      Left            =   120
      TabIndex        =   5
      Top             =   1320
      Width           =   1215
   End
   Begin VB.CheckBox Output 
      Caption         =   "Relay 5"
      Height          =   255
      Index           =   4
      Left            =   120
      TabIndex        =   4
      Top             =   1080
      Width           =   1215
   End
   Begin VB.CheckBox Output 
      Caption         =   "Relay 4"
      Height          =   255
      Index           =   3
      Left            =   120
      TabIndex        =   3
      Top             =   840
      Width           =   1215
   End
   Begin VB.CheckBox Output 
      Caption         =   "Relay 3"
      Height          =   255
      Index           =   2
      Left            =   120
      TabIndex        =   2
      Top             =   600
      Width           =   1215
   End
   Begin VB.CheckBox Output 
      Caption         =   "Relay 2"
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   1
      Top             =   360
      Width           =   1215
   End
   Begin VB.CheckBox Output 
      Caption         =   "Relay 1"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "0"
      Height          =   255
      Left            =   2040
      TabIndex        =   9
      Top             =   240
      Width           =   1455
   End
End
Attribute VB_Name = "Frm_main"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim PortAddress As Integer
Dim Self As Boolean
Dim Demo As Boolean

Private Sub Command1_Click()
    If Timer1.Enabled = True Then
        Timer1.Enabled = False
        For i = 0 To 7
            Output(i).Value = 0
        Next i
    Else
        Timer1.Enabled = True
    End If
End Sub

Private Sub Form_Load()
    PortAddress = &H378
    Out PortAddress, 0
End Sub

Private Sub Output_Click(Index As Integer)
    If Self Then Exit Sub
    Dim register As Byte
    register = Inp(PortAddress)
    register = register Xor 2 ^ Index
    Out PortAddress, register
    Label1.Caption = register
End Sub

Private Sub Timer1_Timer()
    If Demo = True Then
        Demo = False
        Output(0).Value = 1
        Output(1).Value = 0
        Output(2).Value = 1
        Output(3).Value = 0
        Output(4).Value = 1
        Output(5).Value = 0
        Output(6).Value = 1
        Output(7).Value = 0
    Else
        Demo = True
        Output(0).Value = 0
        Output(1).Value = 1
        Output(2).Value = 0
        Output(3).Value = 1
        Output(4).Value = 0
        Output(5).Value = 1
        Output(6).Value = 0
        Output(7).Value = 1
    End If
End Sub
